# typed: strict
class Scraper::GenericHttpClientConfig < Scraper::HttpClientConfig
  extend T::Sig

  sig { override.returns(T.nilable(T::Array[T.untyped])) }
  def cookies
    nil
  end

  sig { override.returns(T::Array[[String, Numeric]]) }
  def ratelimit
    [["*", 0.5]]
  end

  sig { override.returns(T::Array[String]) }
  def allowed_domains
    ["*"]
  end

  sig { override.returns(Integer) }
  def redirect_limit
    4
  end
end
